%global modulename inquirer

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-inquirer
Version:        6.2.0
Release:        1%{?dist}
Summary:        A collection of common interactive command line user interfaces.

License:        MIT
URL:            https://github.com/SBoudrias/Inquirer.js#readme
Source0:        https://registry.npmjs.org/inquirer/-/inquirer-6.2.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(ansi-escapes) >= 3.0.0 with npmlib(ansi-escapes) < 4.0.0))
BuildRequires:  ((npmlib(chalk) >= 2.0.0 with npmlib(chalk) < 3.0.0))
BuildRequires:  ((npmlib(cli-cursor) >= 2.1.0 with npmlib(cli-cursor) < 3.0.0))
BuildRequires:  ((npmlib(cli-width) >= 2.0.0 with npmlib(cli-width) < 3.0.0))
BuildRequires:  ((npmlib(external-editor) >= 3.0.0 with npmlib(external-editor) < 4.0.0))
BuildRequires:  ((npmlib(figures) >= 2.0.0 with npmlib(figures) < 3.0.0))
BuildRequires:  ((npmlib(lodash) >= 4.17.10 with npmlib(lodash) < 5.0.0))
BuildRequires:  ((npmlib(mute-stream) = 0.0.7))
BuildRequires:  ((npmlib(run-async) >= 2.2.0 with npmlib(run-async) < 3.0.0))
BuildRequires:  ((npmlib(rxjs) >= 6.1.0 with npmlib(rxjs) < 7.0.0))
BuildRequires:  ((npmlib(string-width) >= 2.1.0 with npmlib(string-width) < 3.0.0))
BuildRequires:  ((npmlib(strip-ansi) >= 4.0.0 with npmlib(strip-ansi) < 5.0.0))
BuildRequires:  ((npmlib(through) >= 2.3.6 with npmlib(through) < 3.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
A collection of common interactive command line user interfaces.

%package 6.2.0
Summary:        A collection of common interactive command line user interfaces.


%description 6.2.0
A collection of common interactive command line user interfaces.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%{nodejs_dir}/%{modulename}

%files 6.2.0
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Mon Nov 19 2018 npm2srpm <dshea@redhat.com> - 6.2.0-1
- Package automatically generated by npm2srpm
